<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class TemplateButtonReplyMessage extends \Google\Protobuf\Internal\Message
{
    


    protected $selectedId = null;
    


    protected $selectedDisplayText = null;
    


    protected $contextInfo = null;
    


    protected $selectedIndex = null;
    


    protected $selectedCarouselCardIndex = null;

    












    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getSelectedId()
    {
        return isset($this->selectedId) ? $this->selectedId : '';
    }

    public function hasSelectedId()
    {
        return isset($this->selectedId);
    }

    public function clearSelectedId()
    {
        unset($this->selectedId);
    }

    




    public function setSelectedId($var)
    {
        GPBUtil::checkString($var, True);
        $this->selectedId = $var;

        return $this;
    }

    



    public function getSelectedDisplayText()
    {
        return isset($this->selectedDisplayText) ? $this->selectedDisplayText : '';
    }

    public function hasSelectedDisplayText()
    {
        return isset($this->selectedDisplayText);
    }

    public function clearSelectedDisplayText()
    {
        unset($this->selectedDisplayText);
    }

    




    public function setSelectedDisplayText($var)
    {
        GPBUtil::checkString($var, True);
        $this->selectedDisplayText = $var;

        return $this;
    }

    



    public function getContextInfo()
    {
        return $this->contextInfo;
    }

    public function hasContextInfo()
    {
        return isset($this->contextInfo);
    }

    public function clearContextInfo()
    {
        unset($this->contextInfo);
    }

    




    public function setContextInfo($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\ContextInfo::class);
        $this->contextInfo = $var;

        return $this;
    }

    



    public function getSelectedIndex()
    {
        return isset($this->selectedIndex) ? $this->selectedIndex : 0;
    }

    public function hasSelectedIndex()
    {
        return isset($this->selectedIndex);
    }

    public function clearSelectedIndex()
    {
        unset($this->selectedIndex);
    }

    




    public function setSelectedIndex($var)
    {
        GPBUtil::checkUint32($var);
        $this->selectedIndex = $var;

        return $this;
    }

    



    public function getSelectedCarouselCardIndex()
    {
        return isset($this->selectedCarouselCardIndex) ? $this->selectedCarouselCardIndex : 0;
    }

    public function hasSelectedCarouselCardIndex()
    {
        return isset($this->selectedCarouselCardIndex);
    }

    public function clearSelectedCarouselCardIndex()
    {
        unset($this->selectedCarouselCardIndex);
    }

    




    public function setSelectedCarouselCardIndex($var)
    {
        GPBUtil::checkUint32($var);
        $this->selectedCarouselCardIndex = $var;

        return $this;
    }

}

